## EmpathyAccountWidget

EmpathyAccountWidget

## Synopsis

                        EmpathyAccountWidgetUIDetails;
                        EmpathyAccountWidget;
    GtkWidget *         empathy_account_widget_get_widget   (EmpathyAccountWidget *widget);
    EmpathyAccountWidget * empathy_account_widget_new_for_protocol
                                                            (EmpathyAccountSettings *settings,
                                                             gboolean simple);
    gboolean            empathy_account_widget_contains_pending_changes
                                                            (EmpathyAccountWidget *widget);
    void                empathy_account_widget_discard_pending_changes
                                                            (EmpathyAccountWidget *widget);

## Object Hierarchy

      GObject
       +----EmpathyAccountWidget

## Properties

      "creating-account"         gboolean              : Read / Write / Construct Only
      "protocol"                 gchar*                : Read
      "settings"                 EmpathyAccountSettings*  : Read / Write / Construct Only
      "simple"                   gboolean              : Read / Write / Construct Only

## Signals

      "account-created"                                : Run Last
      "cancelled"                                      : Run Last
      "handle-apply"                                   : Run Last

## Description

## Details

### EmpathyAccountWidgetUIDetails

    typedef struct {
      GtkWidget *widget;

      GtkBuilder *gui;

      char *default_focus;
      gboolean add_forget;
    } EmpathyAccountWidgetUIDetails;

### EmpathyAccountWidget

    typedef struct _EmpathyAccountWidget EmpathyAccountWidget;

### empathy_account_widget_get_widget ()

    GtkWidget *         empathy_account_widget_get_widget   (EmpathyAccountWidget *widget);

`widget` : |
Returns : |

### empathy_account_widget_new_for_protocol ()

    EmpathyAccountWidget * empathy_account_widget_new_for_protocol
                                                            (EmpathyAccountSettings *settings,
                                                             gboolean simple);

`settings` : |
`simple` : |
Returns : |

### empathy_account_widget_contains_pending_changes ()

    gboolean            empathy_account_widget_contains_pending_changes
                                                            (EmpathyAccountWidget *widget);

`widget` : |
Returns : |

### empathy_account_widget_discard_pending_changes ()

    void                empathy_account_widget_discard_pending_changes
                                                            (EmpathyAccountWidget *widget);

`widget` : |

## Property Details

### The `"creating-account"` property

      "creating-account"         gboolean              : Read / Write / Construct Only

TRUE if we're creating an account, FALSE if we're modifying it.

Default value: FALSE

### The `"protocol"` property

      "protocol"                 gchar*                : Read

The protocol of the account.

Default value: NULL

### The `"settings"` property

      "settings"                 EmpathyAccountSettings*  : Read / Write / Construct Only

The settings of the account.

### The `"simple"` property

      "simple"                   gboolean              : Read / Write / Construct Only

Whether the account widget is a simple or an advanced one.

Default value: FALSE

## Signal Details

### The `"account-created"` signal

    void                user_function                      (EmpathyAccountWidget *empathyaccountwidget,
                                                            gpointer              user_data)                 : Run Last

`empathyaccountwidget` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"cancelled"` signal

    void                user_function                      (EmpathyAccountWidget *empathyaccountwidget,
                                                            gpointer              user_data)                 : Run Last

`empathyaccountwidget` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"handle-apply"` signal

    void                user_function                      (EmpathyAccountWidget *empathyaccountwidget,
                                                            gboolean              arg1,
                                                            gpointer              user_data)                 : Run Last

`empathyaccountwidget` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.